import { ReNavigation, ReSEO } from 'components'
import { FunctionComponent } from 'react'

interface State {}

const H2: FunctionComponent = ({ children }) => {
  return <h2 className="mt-4">{children}</h2>
}

const PrivacyPage = () => {
  return (
    <>
      <ReSEO title="개인정보처리방침" />
      <ReNavigation maxWidth="max-w-xl" />
      <div className="max-w-xl mx-auto">
        <div className="my-4 text-gray-800">
          <h1 className="text-2xl font-semibold mb-4">개인정보처리방침</h1>
          <p>{`< 다이나미사인 >('https://dynamisign.com'이하 '다이나미사인')은(는) 「개인정보 보호법」 제30조에 따라 정보주체의 개인정보를 보호하고 이와 관련한 고충을 신속하고 원활하게 처리할 수 있도록 하기 위하여 다음과 같이 개인정보 처리방침을 수립·공개합니다.`}</p>
          <p>○ 이 개인정보처리방침은 2021년 7월 20부터 적용됩니다.</p>
          <H2>제1조(개인정보의 처리 목적)</H2>
          <p>{`< 다이나미사인 >('https://dynamisign.com'이하 '다이나미사인')은(는) 다음의 목적을 위하여 개인정보를 처리합니다. 처리하고 있는 개인정보는 다음의 목적 이외의 용도로는 이용되지 않으며 이용 목적이 변경되는 경우에는 「개인정보 보호법」 제18조에 따라 별도의 동의를 받는 등 필요한 조치를 이행할 예정입니다.`}</p>
          <p>1. 홈페이지 회원가입 및 관리</p>
          <p>
            회원 가입의사 확인, 회원제 서비스 제공에 따른 본인 식별·인증,
            회원자격 유지·관리, 서비스 부정이용 방지 목적으로 개인정보를
            처리합니다.
          </p>
          <p>2. 재화 또는 서비스 제공</p>
          <p>콘텐츠 제공을 목적으로 개인정보를 처리합니다.</p>
          <H2>제2조(개인정보의 처리 및 보유 기간)</H2>
          <p>{`① < 다이나미사인 >은(는) 법령에 따른 개인정보 보유·이용기간 또는 정보주체로부터 개인정보를 수집 시에 동의받은 개인정보 보유·이용기간 내에서 개인정보를 처리·보유합니다.`}</p>
          <H2>제3조(정보주체와 법정대리인의 권리·의무 및 그 행사방법)</H2>
          <p>
            ① 정보주체는 다이나미사인에 대해 언제든지 개인정보
            열람·정정·삭제·처리정지 요구 등의 권리를 행사할 수 있습니다.
          </p>
          <p>
            ② 제1항에 따른 권리 행사는다이나미사인에 대해 「개인정보 보호법」
            시행령 제41조제1항에 따라 서면, 전자우편, 모사전송(FAX) 등을 통하여
            하실 수 있으며 다이나미사인은(는) 이에 대해 지체 없이
            조치하겠습니다.
          </p>
          <p>
            ③ 제1항에 따른 권리 행사는 정보주체의 법정대리인이나 위임을 받은 자
            등 대리인을 통하여 하실 수 있습니다.이 경우 “개인정보 처리 방법에
            관한 고시(제2020-7호)” 별지 제11호 서식에 따른 위임장을 제출하셔야
            합니다.
          </p>
          <p>
            ④ 개인정보 열람 및 처리정지 요구는 「개인정보 보호법」 제35조 제4항,
            제37조 제2항에 의하여 정보주체의 권리가 제한 될 수 있습니다.
          </p>
          <p>
            ⑤ 개인정보의 정정 및 삭제 요구는 다른 법령에서 그 개인정보가 수집
            대상으로 명시되어 있는 경우에는 그 삭제를 요구할 수 없습니다.
          </p>
          <p>
            ⑥ 다이나미사인은(는) 정보주체 권리에 따른 열람의 요구, 정정·삭제의
            요구, 처리정지의 요구 시 열람 등 요구를 한 자가 본인이거나 정당한
            대리인인지를 확인합니다.
          </p>
          <H2>제4조(처리하는 개인정보의 항목 작성)</H2>
          <p>{`① < 다이나미사인 >은(는) 다음의 개인정보 항목을 처리하고 있습니다.`}</p>
          <p>{`1< 홈페이지 회원가입 및 관리 >`}</p>
          <p>필수항목 : 이메일</p>
          <H2>제5조(개인정보의 파기)</H2>
          <p>{`① < 다이나미사인 > 은(는) 개인정보 보유기간의 경과, 처리목적 달성 등 개인정보가 불필요하게 되었을 때에는 지체없이 해당 개인정보를 파기합니다.`}</p>
          <p>{`② 정보주체로부터 동의받은 개인정보 보유기간이 경과하거나 처리목적이 달성되었음에도 불구하고 다른 법령에 따라 개인정보를 계속 보존하여야 하는 경우에는, 해당 개인정보를 별도의 데이터베이스(DB)로 옮기거나 보관장소를 달리하여 보존합니다.`}</p>
          <p>③ 개인정보 파기의 절차 및 방법은 다음과 같습니다.</p>
          <p>1. 파기절차</p>
          <p>{`< 다이나미사인 > 은(는) 파기 사유가 발생한 개인정보를 선정하고, < 다이나미사인 > 의 개인정보 보호책임자의 승인을 받아 개인정보를 파기합니다.`}</p>
          <p>2. 파기방법</p>
          <p>
            전자적 파일 형태의 정보는 기록을 재생할 수 없는 기술적 방법을
            사용합니다.
          </p>
          <H2>제6조(개인정보의 안전성 확보 조치)</H2>
          <p>{`< 다이나미사인 >은(는) 개인정보의 안전성 확보를 위해 다음과 같은 조치를 취하고 있습니다.`}</p>
          <p>1. 해킹 등에 대비한 기술적 대책</p>
          <p>{`<다이나미사인>('다이나미사인')은 해킹이나 컴퓨터 바이러스 등에 의한 개인정보 유출 및 훼손을 막기 위하여 보안프로그램을 설치하고 주기적인 갱신·점검을 하며 외부로부터 접근이 통제된 구역에 시스템을 설치하고 기술적/물리적으로 감시 및 차단하고 있습니다.`}</p>
          <p>2. 개인정보의 암호화</p>
          <p>
            이용자의 개인정보는 비밀번호는 암호화 되어 저장 및 관리되고 있어,
            본인만이 알 수 있으며 중요한 데이터는 파일 및 전송 데이터를 암호화
            하거나 파일 잠금 기능을 사용하는 등의 별도 보안기능을 사용하고
            있습니다.
          </p>
          <H2>
            제7조(개인정보 자동 수집 장치의 설치•운영 및 거부에 관한 사항)
          </H2>
          <p>
            다이나미사인 은(는) 정보주체의 이용정보를 저장하고 수시로 불러오는
            ‘쿠키(cookie)’를 사용하지 않습니다.
          </p>
          <H2>제8조 (개인정보 보호책임자)</H2>
          <p>{`① 다이나미사인 은(는) 개인정보 처리에 관한 업무를 총괄해서 책임지고, 개인정보 처리와 관련한 정보주체의 불만처리 및 피해구제 등을 위하여 아래와 같이 개인정보 보호책임자를 지정하고 있습니다.`}</p>
          <p>▶ 개인정보 보호책임자</p>
          <p>성명 :김동욱</p>
          <p>직책 :대표</p>
          <p>직급 :대표</p>
          <p>연락처 : contact@dynamisign.com</p>
          <p>
            ② 정보주체께서는 다이나미사인 의 서비스(또는 사업)을 이용하시면서
            발생한 모든 개인정보 보호 관련 문의, 불만처리, 피해구제 등에 관한
            사항을 개인정보 보호책임자 및 담당부서로 문의하실 수 있습니다.
            다이나미사인 은(는) 정보주체의 문의에 대해 지체 없이 답변 및
            처리해드릴 것입니다.
          </p>
        </div>
      </div>
    </>
  )
}

export default PrivacyPage
